com.amazonaws.services.simpleworkflow.model

## Class RequestCancelActivityTaskDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.RequestCancelActivityTaskDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class RequestCancelActivityTaskDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `RequestCancelActivityTask` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- You cannot use an IAM policy to constrain this action's parameters.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestCancelActivityTaskDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestCancelActivityTaskDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getActivityId()` The `activityId` of the activity task to be canceled.
`int` `hashCode()`
`void` `setActivityId(String activityId)` The `activityId` of the activity task to be canceled.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RequestCancelActivityTaskDecisionAttributes` `withActivityId(String activityId)` The `activityId` of the activity task to be canceled.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestCancelActivityTaskDecisionAttributes

    public RequestCancelActivityTaskDecisionAttributes()

### Method Detail

#### setActivityId

    public void setActivityId(String activityId)

The `activityId` of the activity task to be canceled.

Parameters:
  `activityId` - The `activityId` of the activity task to be canceled.

#### getActivityId

    public String getActivityId()

The `activityId` of the activity task to be canceled.

Returns:
  The `activityId` of the activity task to be canceled.

#### withActivityId

    public RequestCancelActivityTaskDecisionAttributes withActivityId(String activityId)

The `activityId` of the activity task to be canceled.

Parameters:
  `activityId` - The `activityId` of the activity task to be canceled.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RequestCancelActivityTaskDecisionAttributes clone()

Overrides:
  `clone` in class `Object`